Subject: bug#41461: closed (Re: [bug#41461] [PATCH 1/3] gnu: Add go-github-com-stretchr-objx.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 07 Jun 2020 19:56:02 +0000

Your bug report

#41461: [PATCH 0/3] Update go-github-com-stretchr-testify

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41461: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41461
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#41461] [PATCH 1/3] gnu: Add go-github-com-stretchr-objx.
From: Jakub Kądziołka <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Sun, 7 Jun 2020 21:55:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Jun 03, 2020 at 05:53:49PM +0200, Ludovic Courtès wrote:
> Hello,
> 
> Jakub Kądziołka <[email-masked]> skribis:
> 
> > * gnu/packages/golang.scm (go-github-com-stretchr-objx): New variable.
> 
> [...]
> 
> > +    (synopsis "Go package for dealing with maps, slices, JSON and other data")
> > +    (description "Go package for dealing with maps, slices, JSON and other data")
> 
> Please write a full sentence (or two :-)) for the description (info
> "(guix) Synopses and Descriptions").
> 
> Otherwise the three patches LGTM!

Thanks for your review! I wrote a fuller description and pushed the
patches.

Regards,
Jakub Kądziołka

Subject: [PATCH 0/3] Update go-github-com-stretchr-testify
From: Jakub Kądziołka <[email-masked]>
To: [email-masked]
Date: Fri, 22 May 2020 18:04:49 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

While debugging a test failure of a package I was adding, I have guessed
that the old version of testify is to blame. I was wrong, but since it
takes a bit more than a version bump, perhaps we should upgrade it
anyway?

I have tested building all dependent packages and haven't encountered
any issues.

Jakub Kądziołka (3):
  gnu: Add go-github-com-stretchr-objx.
  gnu: go-github-com-davecgh-go-spew: Update to 1.1.1.
  gnu: go-github-com-stretchr-testify: Update to 1.5.1.

 gnu/packages/golang.scm | 114 ++++++++++++++++++++++++----------------
 1 file changed, 68 insertions(+), 46 deletions(-)

-- 
2.26.2